Foros del Web » Creando para Internet » Sistemas de gestión de contenidos » WordPress »

Detectar Firefox 23

Estas en el tema de Detectar Firefox 23 en el foro de WordPress en Foros del Web. La verdad es que vengo bastante molesto por las últimas actualizaciones en los navegadores que se vienen haciendo. Opera dejó de utilizar Presto como motor ...
  #1 (permalink)  
Antiguo 19/08/2013, 12:36
 
Fecha de Ingreso: abril-2010
Ubicación: Ping: BSAS - Arg
Mensajes: 791
Antigüedad: 9 años, 3 meses
Puntos: 25
Detectar Firefox 23

La verdad es que vengo bastante molesto por las últimas actualizaciones en los navegadores que se vienen haciendo.

Opera dejó de utilizar Presto como motor y pasó a Webkit, hasta la opción de CTRL + Z desapareció y ni hablar de que Opera Dragonfly también. Más que una mejora parece una estrategia para quitar Opera "del camino".

Ahora estoy teniendo problemas para detectar la última versión de Firefox, en este caso la 23.

Para detectar los navegadores estoy utilizando este script (que es para wordpress) adaptado a mis necesitades:

http://wordpress.org/plugins/php-browser-detection/

Lo cierto es que este script está desactualizado desde Abril de este año y se lanzaron muchos cambios desde aquel momento, uno de los más significativos fué por ejemplo el cambio en el motor de renderizado de Opera, por ende ya a Opera en su versión 15 no lo detecta como tal, sinó como Chrome.

Pero eso no me preocupa ya que pude adaptarlo para que lo detecte con unos trucos, lo que me preocupa es de Firefox y que no deja marcas como navegador, he probado con todas las funciones del script:

Código PHP:
echo is_firefox();
echo 
get_browser_version();
echo 
get_browser_name();
echo 
get_browser_version();
echo 
php_browser_info(); 
¿A alguien le pasó algo similar a mi con esta nueva versión de Firefox?
  #2 (permalink)  
Antiguo 19/08/2013, 12:40
 
Fecha de Ingreso: abril-2010
Ubicación: Ping: BSAS - Arg
Mensajes: 791
Antigüedad: 9 años, 3 meses
Puntos: 25
Respuesta: Detectar Firefox 23

Acabo de tirar un php con:

Código PHP:
echo $_SERVER['HTTP_USER_AGENT']; 
y me devuelve:

Mozilla/5.0 (Windows NT 6.1; rv:23.0) Gecko/20100101 Firefox/23.0

... por ende ya tengo de donde trabajar. Lamentablemente...

Etiquetas: firefox, php
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 06:43.